%define	name	ypserv
%define	version	2.19
%define	release	%mkrel 2

Summary:	The NIS (Network Information Service) server
Url:		http://www.linux-nis.org/
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers

Source0:	ftp://ftp.kernel.org/pub/linux/utils/net/NIS/%{name}-%{version}.tar.bz2
Source1:	ypserv-ypserv.init
Source2:	ypserv-yppasswdd.init
Source3:	ypserv-ypxfrd.init
Source4:	ftp://ftp.kernel.org/pub/linux/utils/net/NIS/%{name}-%{version}.tar.bz2.sign
Patch0:		ypserv-2.10-makefile.patch.bz2
Patch2: 	ypserv-2.11-path.patch.bz2
Patch3:		ypserv-2.10-nomap.patch.bz2
Patch6:		ypserv-2.5-nfsnobody2.patch.bz2
Patch10:	ypserv-2.13-yplib-memleak.patch.bz2
Patch11:	ypserv-2.13-ypxfr-zeroresp.patch.bz2

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mawk libgdbm-devel libopenslp-devel
Requires:	portmap mawk make
Requires(post):	rpm-helper
Requires(preun):	rpm-helper

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%prep
%setup -q
%patch0 -p1 -b .makefix
#%patch1 -p1 -b .syslog
%patch2 -p1 -b .path
%patch3 -p1 -b .nomap
%patch6 -p1
%patch10 -p1
%patch11 -p1

%build
%serverbuild
cp etc/README etc/README.etc
%configure2_5x --enable-checkroot \
	   --enable-fqdn \
	   --enable-yppasswd \
	   --libexecdir=%{_libdir}/yp \
	   --mandir=%{_mandir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libexecdir=$RPM_BUILD_ROOT%{_libdir}/yp

install -m644 etc/ypserv.conf -D %buildroot%{_sysconfdir}/ypserv.conf
install -m755 %{SOURCE1} -D %buildroot%{_initrddir}/ypserv
install -m755 %{SOURCE2} -D %buildroot%{_initrddir}/yppasswdd
install -m755 %{SOURCE3} -D %buildroot%{_initrddir}/ypxfrd

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" %buildroot%{_initrddir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service ypserv
%_post_service yppasswdd
%_post_service ypxfrd

%preun
%_preun_service ypserv
%_preun_service yppasswdd
%_preun_service ypxfrd
 
%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog TODO NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config(noreplace) %{_sysconfdir}/ypserv.conf
%config(noreplace) /var/yp/*
%{_initrddir}/*
%dir %{_libdir}/yp
%attr(755, root, root) %{_libdir}/yp/*
%attr(755, root, root) %{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*/*


%changelog
* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/21/06 10:43:13 (41827)
- rebuild

* Fri Jul 21 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/21/06 10:38:51 (41822)
Import ypserv

* Sat Feb 11 2006 Olivier Thauvin <nanardon@mandriva.org> 2.19-1mdk
- 2.19

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 2.17-3mdk
- add LSB comments in initscripts (Sources 1, 2, 3)
- fix requires post/preun
- use 755 perms for executables

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.17-2mdk
- Rebuild

* Sat Jul 16 2005 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdk
- 2.17
- remove patch{8,9}, no need anymore

* Tue Mar 22 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.14-2mdk
- fix build with -fPIE

* Wed Nov 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.14-1mdk
- 2.14
- sync with fedora patches
- cosmetics

* Mon Jan 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.11-1mdk
- 2.11: SLP support

* Wed Nov 05 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.10-1mdk
- 2.10

* Sun Jul 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.8-2mdk
- removed Obsoletes/Provides yppasswd

* Fri Feb 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.8-1mdk
- 2.8

* Wed Dec 25 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.6-2mdk
- corrected typo in ypxfrd.init (bug #207)

* Sun Nov 03 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.6-1mdk
- 2.6 (2.5 fixes an exploitable memory leak, but 2.6 is most recent)

* Thu Jul 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.4-1mdk
- 2.4
- removed patch3 (integrated upstream)

* Sat Feb 23 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.2-5mdk
- Added a requires on make (Arnaud)

* Sat Feb 23 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.2-4mdk
- corrected ypxfrd init script to really start the server

* Tue Feb 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.2-3mdk
- remove tcp_wrappers from Requires (use /var/yp/securenets to allow/deny
queries from other hosts).
- apply patch for ypxfr.

* Mon Dec 03 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2-2mdk
- Removed %%dir /var/yp from %%files (owned by filesystem)

* Thu Nov 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2-1mdk
- 2.2

* Tue Sep 04 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3.12-3mdk
- patch4 from Holm: put a \0 at the right place to allow synchronisation
between slave and master to work (#4331).

* Tue Aug 28 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.12-2mdk
- libgdbm2

* Wed May 23 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3.12-1mdk
- 1.3.12

* Wed Mar 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.3.11-7mdk
- use the new rpm macros for servers.

* Tue Jan 09 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.11-6mdk
- BuildRequires: mawk, libgdbm1-devel

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.11-5mdk
- BuildRequires: tcp_wrappers-devel
- Spec clean up

* Mon Oct 23 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.3.11-4mdk
- security fix

* Mon Oct 09 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.11-3mdk
- Fix typo in initscripts.

* Tue Aug 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.11-2mdk
- rebuild for hte user of the initrddir macro.

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11
- launch rpc.ypxfrd in /etc/rc.d/init.d/ypserv
- add condrestart in /etc/rc.d/init.d/ypserv to be able to restart the service
in %%postun using /sbin/service.

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.9-5mdk
- fixed path of makedbm in /var/yp/Makefile (was broken with 4mdk)

* Sat Jul 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.9-4mdk
- macroszifications
- BM

* Wed Mar 29 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-3mdk
- fix group
- use spechelper (resulting in spec cleanups)

* Sun Dec 05 1999 Philippe Libat <philippe@mandrakesoft.com>
- Added Makefile patch
- Spec modification

* Tue Oct 26 1999 Francis Galiegue <francis@mandrakesoft.com>
- Updated to 1.3.9 - fixes numerous security bugs
- export shadow map but set MERGE_(PASSWD|GROUP) to false

* Thu Jul 29 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 1.3.7

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.3.6.94

* Mon May 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.6.91

* Sat Mar 20 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Sun Feb 07 1999 Bill Nottingham <notting@redhat.com>
- move to start before ypbind

* Wed Dec 16 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- upgraded to 1.3.5

* Mon Aug 03 1998 Jeff Johnson <jbj@redhat.com>
- yppasswd.init: lock file must have same name as init.d script, not daemon

* Fri Jul 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.4
- fixed the fubared Makefile
- link against gdbm instead of ndbm (it seems to work better)

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.1
- enhanced init scripts

* Thu Apr 30 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun
- Use libdb fro dbp_*().

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.0

* Tue Dec 02 1997 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.5
- added buildroot; updated spec file
- added yppasswdd init file

* Mon Nov 03 1997 Erik Troan <ewt@redhat.com>
- init script shouldn't set the domain name

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- updated initscript for status and restart
- turned off in all runlevels, by default
- removed postinstall script which didn't do anything

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- added patch to build against later glibc

* Sun Jul 20 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- updated to 1.1.7.

* Thu Mar 13 1997 Erik Troan <ewt@redhat.com>
- Updated to ypserv 1.1.5, ported to Alpha (glibc).

* Thu Mar 06 1997 Erik Troan <ewt@redhat.com>
- Removed -pedantic which confuses the SPARC :-(

